* {
  font-family: var(--font-base);
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}


html,
body {
  width: 100%;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.body--homepage {
  background-image:
    linear-gradient(var(--grey-100) 1px, transparent 1px),
    linear-gradient(90deg, var(--grey-100) 1px, transparent 1px);
  background-size: 40px 40px;
}

img {
  max-width: 100%;
  height: auto;
}

svg {
  flex-shrink: 0;
}

ul {
  list-style: none;
}

a {
  color: inherit;
  text-decoration: none;
}

p {
  text-align: left;
}

/* Typographie */

body {
  font-family: Inter, sans-serif;
  font-size: var(--font-size-body);
  font-weight: 300;
  color: var(--on-bg);
  background-color: var(--grey-700);
}

p {
  color: var(--grey-400);
}

.feedbacks {
  font-weight: var(--font-weight-body);
  align-self: stretch;
  color: var(--on-bg);
}

h1 {
  font-size: var(--font-size-h1);
  font-weight: var(--font-weight-h1);
}

h2 {
  font-size: var(--font-size-h2);
  font-weight: var(--font-weight-h2);
}

h3 {
  font-size: var(--font-size-h3);
  font-weight: var(--font-weight-h3);
}

blockquote {
  color: var(--grey-400);
  font-family: var(--font-quote);
  font-style: italic;
  text-align: center;
  font-size: var(--font-size-quote);
  font-weight: var(--font-weight-quote);
}

cite {
  color: var(--grey-400);
  width: 100%;
  text-align: right;
  font-size: var(--font-size-caption);
  font-weight: var(--font-weight-caption);
}

.caption {
  font-family: var(--font-caption);
  font-size: var(--font-size-caption);
  font-weight: var(--font-weight-caption);
  color: var(--grey-300);
}

.list-text {
  list-style-type: disc;
  list-style-position: inside;
  color: var(--grey-400);
}

.list-text li::marker {
  font-size: 0.75rem;
}


/* Effet typing */

.hero__title {
  min-height: 1.2em;
  font-size: var(--font-size-title);
}

.cursor {
  display: inline-block;
  width: 2px;
  height: 1em;
  background: currentColor;
  margin-left: 4px;

  animation: blink 1s infinite;
}

@keyframes blink {
  50% {
    opacity: 0;
  }
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

/* Confidentiel */

.confidentiel {
  color: rgb(233, 21, 45);
  border-style: solid;
  border-color: rgb(233, 21, 45) 2px;
  padding: var(--spacing-xs);
  font-weight: 400;
}

/* Responsive */

@media (max-width: 768px) {

  .hero {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: var(--spacing-lg);
  }

  header.header {
    display: none;
  }

  div.footer__copyright {
    display: flex;
    align-items: start;
    min-height: 110px;
  }

  .hero--animated {
    display: none;
  }

  .navbar-mobile-container {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .clients__grid {
    grid-template-columns: repeat(3, minmax(10px, 1fr));
  }

  .projects__grid {
    grid-template-columns: 1fr;
  }

  .list-card__icon {
    opacity: 1;
  }

  .project-card__icon {
    opacity: 1;
  }

}

/* Mode sombre */
@media (prefers-color-scheme: dark) {
    :root {
        --grey-100:hsla(240, 3%, 11%, 1);
        --grey-200:hsla(240, 2%, 23%, 1) ;
        --grey-300:hsla(240, 2%, 54%, 1);
        --grey-400:hsla(240, 1%, 61%, 1);
        --grey-700:hsla(240, 3%, 5%, 1);
        --on-bg:hsla(0, 0%, 100%, 1);
        --background-nav-mobile:hsla(0, 0%, 100%, 0.1);
    }

    .confidentiel {
        color: rgb(255, 97, 101);
        border-color: rgb(255, 97, 101) 2px;
    }
}